.treeselect-input{
    width:100%;
    box-sizing:border-box;
    min-height:37px;
    cursor:text;
    background-color:#fff;
    border:1px solid #8F9092;
    border-radius:4px;
    flex-wrap:wrap;
    align-items:center;
    padding:2px 40px 2px 4px;
    display:flex;
    position:relative
}
.treeselect-input--unsearchable{
    cursor:default
}
.treeselect-input--unsearchable .treeselect-input__edit{
    caret-color:#0000;
    cursor:default
}
.treeselect-input--unsearchable .treeselect-input__edit:focus{
    z-index:-1;
    position:absolute
}
.treeselect-input--value-not-selected.treeselect-input--unsearchable .treeselect-input__edit:focus{
    z-index:auto;
    width:100%;
    position:static
}
.treeselect-input--value-not-selected .treeselect-input__edit{
    z-index:auto
}
.treeselect-input--value-not-selected .treeselect-input__tags{
    gap:0
}
.treeselect-input__tags{
    max-width:100%;
    width:100%;
    box-sizing:border-box;
    flex-wrap:wrap;
    align-items:center;
    gap:4px;
    display:inline-flex
}
.treeselect-input__tags-element{
    cursor:pointer;
    max-width:100%;
    box-sizing:border-box;
    background-color:#8F9092;
    border-radius:2px;
    align-items:center;
    padding:2px 5px;
    font-size:14px;
    display:inline-flex
}
.treeselect-input__tags-element:hover{
    background-color:#e1e3e0
}
.treeselect-input__tags-element:hover .treeselect-input__tags-cross svg{
    stroke:#eb4c42
}
.treeselect-input__tags-name{
    white-space:nowrap;
    text-overflow:ellipsis;
    overflow:hidden
}
.treeselect-input__tags-cross{
    margin-left:2px;
    display:flex
}
.treeselect-input__tags-cross svg{
    width:12px;
    height:12px
}
.treeselect-input__tags-count{
    white-space:nowrap;
    text-overflow:ellipsis;
    font-size:14px;
    overflow:hidden
}
.treeselect-input__edit{
    width:0;
    text-overflow:ellipsis;
    width:100%;
    max-width:calc(100% - 45px);
    z-index:-1;
    min-width:0;
    border:none;
    flex:1;
    font-size:14px;
    position:absolute
}
.treeselect-input__edit:focus{
    min-width:30px;
    max-width:100%;
    z-index:auto;
    outline:none;
    position:static
}
.treeselect-input__operators{
    max-width:40px;
    display:flex;
    position:absolute;
    right:2px
}
.treeselect-input__clear{
    cursor:pointer;
    display:flex
}
.treeselect-input__clear svg{
    stroke:#e1e3e0;
    width:17px;
    min-width:17px;
    height:20px
}
.treeselect-input__clear:hover svg{
    stroke:#838790
}
.treeselect-input__arrow{
    cursor:pointer;
    display:flex
}
.treeselect-input__arrow svg{
    stroke:#e1e3e0;
    width:20px;
    min-width:20px;
    height:20px
}
.treeselect-input__arrow:hover svg{
    stroke:#838790
}
.treeselect-list{
    width:100%;
    box-sizing:border-box;
    max-height:300px;
    background-color:#fff;
    border:1px solid #8F9092;
    overflow-y:auto
}
.treeselect-list__group-container{
    box-sizing:border-box
}
.treeselect-list__item{
    box-sizing:border-box;
    cursor:pointer;
    height:30px;
    align-items:center;
    display:flex
}
.treeselect-list__item:focus{
    outline:none
}
.treeselect-list__item--focused{
    background-color:#838790!important
}
.treeselect-list__item--hidden{
    display:none
}
.treeselect-list__item-icon{
    cursor:pointer;
    height:20px;
    width:20px;
    min-width:20px;
    align-items:center;
    display:flex
}
.treeselect-list__item-icon svg{
    pointer-events:none;
    width:100%;
    height:100%;
    stroke:#e1e3e0
}
.treeselect-list__item-icon *{
    pointer-events:none
}
.treeselect-list__item-icon:hover svg{
    stroke:#838790
}
.treeselect-list__item-checkbox-container{
    width:20px;
    height:20px;
    min-width:20px;
    pointer-events:none;
    box-sizing:border-box;
    background-color:#fff;
    border:1px solid #8F9092;
    border-radius:3px;
    position:relative
}
.treeselect-list__item-checkbox-container svg{
    height:100%;
    width:100%;
    position:absolute
}
.treeselect-list__item-checkbox{
    width:0;
    height:0;
    pointer-events:none;
    z-index:-1;
    margin:0;
    position:absolute
}
.treeselect-list__item-checkbox-icon{
    height:100%;
    width:100%;
    text-align:left;
    position:absolute;
    top:0;
    left:0
}
.treeselect-list__item-label{
    width:100%;
    text-overflow:ellipsis;
    word-break:keep-all;
    white-space:nowrap;
    pointer-events:none;
    text-align:left;
    padding-left:5px;
    font-size:14px;
    overflow:hidden
}
.treeselect-list__item-label-counter{
    color:#838790;
    margin-left:3px;
    font-size:13px
}
.treeselect-list__empty{
    height:30px;
    align-items:center;
    padding-left:4px;
    display:flex
}
.treeselect-list__empty--hidden{
    display:none
}
.treeselect-list__empty-icon{
    align-items:center;
    display:flex
}
.treeselect-list__empty-text{
    text-overflow:ellipsis;
    word-break:keep-all;
    white-space:nowrap;
    padding-left:5px;
    font-size:14px;
    overflow:hidden
}
.treeselect-list__slot{
    box-sizing:border-box;
    width:100%;
    max-width:100%;
    background-color:#fff;
    position:sticky;
    bottom:0
}
.treeselect-list.treeselect-list--single-select .treeselect-list__item-checkbox-container,.treeselect-list.treeselect-list--disabled-branch-node .treeselect-list__item--group .treeselect-list__item-checkbox-container{
    display:none
}
.treeselect-list__item--checked{
    background-color:#e9f1f1
}
.treeselect-list.treeselect-list--single-select .treeselect-list__item--checked{
    background-color:#0000
}
.treeselect-list.treeselect-list--single-select .treeselect-list__item--single-selected{
    background-color:#e9f1f1
}
.treeselect-list__item .treeselect-list__item-checkbox-container svg{
    stroke:#0000
}
.treeselect-list__item--checked .treeselect-list__item-checkbox-container svg,.treeselect-list__item--partial-checked .treeselect-list__item-checkbox-container svg{
    stroke:#fff
}
.treeselect-list__item--checked .treeselect-list__item-checkbox-container,.treeselect-list__item--partial-checked .treeselect-list__item-checkbox-container{
    background-color:#52c67e
}
.treeselect{
    color: black;
    width:100%;
    box-sizing:border-box;
    position:relative
}
.treeselect--disabled{
    pointer-events:none
}
.treeselect-list{
    color: black;
    box-sizing:border-box;
    z-index:1000;
    border-radius:4px;
    position:absolute;
    left:0
}
.treeselect .treeselect-list{
    position:absolute
}
.treeselect .treeselect-list--static{
    position:static
}
.treeselect-input--focused{
    border-color:#101010
}
.treeselect-input--opened.treeselect-input--top{
    border-top-color:#0000;
    border-top-left-radius:0;
    border-top-right-radius:0
}
.treeselect-input--opened.treeselect-input--bottom{
    border-bottom-color:#0000;
    border-bottom-left-radius:0;
    border-bottom-right-radius:0
}
.treeselect-list--focused{
    border-color:#101010
}
.treeselect-list--top,.treeselect-list--top-to-body{
    border-bottom-color:#8F9092;
    border-bottom-left-radius:0;
    border-bottom-right-radius:0
}
.treeselect-list--bottom,.treeselect-list--bottom-to-body{
    border-top-color:#8F9092;
    border-top-left-radius:0;
    border-top-right-radius:0
}
.treeselect-list--top{
    bottom:100%;
    left:0
}
.treeselect-list--bottom{
    top:100%;
    left:0
}
